package com.muyu.mapper;

import java.util.List;
import com.muyu.domain.WarnLogs ;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.resp.WarnLogsResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 预警日志Mapper接口
 *
 * @author muyu
 * @date 2024-09-20
 */
@Mapper
public interface WarnLogsMapper extends BaseMapper<WarnLogs>{
    List<WarnLogsResp> selectWarnLogsList();

    WarnLogsResp selectWarnLogs(@Param("id")Long id);

    Integer addWarnLog(List<WarnLogs> list);
}
